package _VisualDVM.Visual.Menus;
import Common.Utils.Utils_;
import Common.Visual.UI_;
import _VisualDVM.Global;
import Common.Visual.Fonts.VisualiserFonts;

import javax.swing.*;
public class PropertiesSubmenu extends JMenu {
    public PropertiesSubmenu(String title, String icon, String... settings) {
        super(title);
        if (icon != null)
            setIcon(Utils_.getIcon(icon));
        setFont(UI_.getTheme().Fonts.get(VisualiserFonts.Menu));
        for (String name : settings) {
            Global.properties.addFlagMenuItem(this, name);
        }
    }
}
